<script setup>
import { TrashIcon } from "@heroicons/vue/20/solid/index.js";
import { Link } from "@inertiajs/vue3";

const props = defineProps({
    href: String,
    icon: Boolean,
    length: Number,
});
</script>

<template>
    <div>
        <Link v-if="icon" :href="props.href" as="button" method="DELETE">
            <TrashIcon class="h-6 w-6 text-red-500 hover:text-red-600" />
        </Link>
        <Link
            v-else
            :href="props.href"
            as="button"
            class="inline-flex items-center px-4 py-2 h-8.5 bg-red-500 dark:bg-red-200 border border-transparent rounded-md font-semibold text-xs text-white dark:text-red-500 uppercase tracking-widest hover:bg-red-700 dark:hover:bg-white focus:bg-red-700 dark:focus:bg-white active:bg-red-900 dark:active:bg-red-300 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 dark:focus:ring-offset-red-800 transition ease-in-out duration-150"
            method="DELETE"
        >
            <slot />
            <span v-if="length">&nbsp;({{ length }})</span>
        </Link>
    </div>
</template>
